#!/usr/bin/perl -w

use strict;
use LinkClean;

loadmappings;

while (<>) {
  chomp;
  my @links = split;
  shift @links;

  my $post_url = shift @links;
  my $usr = user($post_url);
  next unless defined $usr;

  my $dom = topdomain(domain($post_url));
  my $pid = shift @links;
  my $tms = shift @links;
  my $wct = shift @links;

  my %friends;
  my %sites;

  my @blg_links;
  my @web_links;

  my $slf = 0;
  my @alinks;
  my @blinks;
  for my $url (@links) {
    my $friend = user($url);

    if (defined $friend) {
      $friends{$friend} = 1;
      push @alinks, $url;
      $slf = 1 if $friend eq $usr;
    } else {
      push @blinks, $url;
    }
  }

  my @friends = keys %friends;

  print "$dom $usr $post_url $pid $tms $wct $slf ", scalar @alinks, " ", scalar @links, " ",
        join(" ", @friends), " + ", join(" ", @alinks), " + ", join(" ", @blinks), "\n";
}
